Bug 427061 - (redmode-review) Review Request: redmode - Switch to and from night red mode
Review Request: redmode - Switch to and from night red mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 14:24 EST by Marek Mahut
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 11:44:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-12-30 14:24:01 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/redmode/redmode.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/redmode/redmode-1.0-1.fc8.src.rpm
Rawhide koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=315775
Description: Little shell script for GNOME to change the color theme
to red. Useful for astronomers in night.
Comment 1 Lubomir Kundrak 2008-02-08 04:34:42 EST
Please add a comment about upstream above this line -- I guess you keep the
source for the tarball in fedora-astronomy repository?

Source0:        %{name}-%{version}.tar.gz

Not a blocker though -- APPROVED
Comment 2 Lubomir Kundrak 2008-02-08 04:39:50 EST
Oops, pardon -- not yet ready for approval.

1.) rpmlint

redmode.x86_64: W: non-conffile-in-etc /etc/redmode.conf
Please add %config(noreplace) to the corresponding line in %files.
Note, if it's not meant to be modifiable by user, it would be better in %{_datadir}

2.) please add

BuildArch: noarch

so that -debuginfo doesn't get generated, etc. I believe the script is noarch,
isn't it?

Comment 3 Marek Mahut 2008-02-10 13:26:05 EST
Lubomir, redmode-1.0-2.fc8.src.rpm updated.
Comment 4 Lubomir Kundrak 2008-02-10 13:31:49 EST
Thanks Marek. All outstanding problems were adressed. RPMLint is silent now and
I can't find any more issues.

APPROVED
Comment 5 Marek Mahut 2008-02-10 17:14:33 EST
New Package CVS Request
=======================
Package Name: redmode
Short Description: Switch to and from night red mode
Owners: mmahut
Branches: F-8
InitialCC: astronomy-sig
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-02-11 12:53:33 EST
cvs done.
Comment 7 Marek Mahut 2008-02-18 11:44:16 EST
Thank you!!!

Note You need to log in before you can comment on or make changes to this bug.